OpenShot Audio Library | OpenShotAudio 0.4.0

Loading...
Searching...
No Matches
Static Public Member Functions | Static Public Attributes | List of all members
juce::universal_midi_packets::Utils::U8< Index > Struct Template Reference

`#include <juce_UMPUtils.h>`

## Static Public Member Functions
static constexpr uint32_t | set (uint32_t word, uint8_t value)
static constexpr uint8_t | get (uint32_t word)

## Static Public Attributes
static constexpr uint32_t | shift = (uint32_t) 0x18 - Index * 8

## Detailed Description

template<size_t Index>
struct juce::universal_midi_packets::Utils::U8< Index >

Helper functions for setting/getting 8-bit ranges inside a 32-bit word.

Definition at line 75 of file juce_UMPUtils.h.

## Member Function Documentation

## ◆ get()

template<size_t Index>

static constexpr uint8_t juce::universal_midi_packets::Utils::U8< Index >::get | ( | uint32_t | word | ) |
| inline static constexpr

Definition at line 84 of file juce_UMPUtils.h.

## ◆ set()

template<size_t Index>

static constexpr uint32_t juce::universal_midi_packets::Utils::U8< Index >::set | ( | uint32_t | word,
|  | uint8_t | value )
| inline static constexpr

Definition at line 79 of file juce_UMPUtils.h.

## Member Data Documentation

## ◆ shift

template<size_t Index>

uint32_t juce::universal_midi_packets::Utils::U8< Index >::shift = (uint32_t) 0x18 - Index * 8
| static constexpr

Definition at line 77 of file juce_UMPUtils.h.

The documentation for this struct was generated from the following file:

- juce_UMPUtils.h